Exception
Exception::getMessage
Exception
PHP Manual

# Exception::__construct

Construct the exception

### Description

public Exception::__construct ([ string `$message` = "" [, int `$code` = 0 [, Exception `$previous` = `NULL` ]]] )

Constructs the Exception.

### Parameters

`message`

  The Exception message to throw.

`code`

  The Exception code.

`previous`

  The previous exception used for the exception chaining.

### Changelog

Version | Description
--- | ---
5.3.0 | The `previous` parameter was added.

### Notes

> Note:

> The `message` is NOT binary safe.